Airline-Initiated Changes
Sometimes there can be changes to your order initiated by the airline, for example a flight being delayed.
We record every one of these changes so that you can view them all or for an order. You can filter changes for a specific order using the order_id parameter.
Each airline-initiated change contains an added and removed field. Added contains the updated slices following the change. These slices and their segments may have a new ID based on the change.
Removed contains a list of slices and their segments as they were before the change.
Schema
Expand allunfold_more icon
action_taken
enumnullablelink icon
The action taken in response to this airline-initiated change.
Accepted, cancelled and changed reflect your action in accepting the change, cancelling the order or changing the order respectively.
Possible values:"accepted", "cancelled", or "changed"
action_taken_at
stringnullablelink icon
The ISO 8601 datetime at which an action was taken
Example:"2022-01-17T10:12:14.545Z"
added
listlink icon
List of updated slices and segments following the change. These slices and segments may each have a new ID as a result of the changes.
available_actions
string[]link icon
The available actions you can take on this Airline-Initiated Change through our API.
"update" means that you can use the update endpoint for an Airline-Initiated Change.
Possible values in array: "accept", "cancel", "change", or "update"
Example:["accept","cancel","change"]
created_at
datetimelink icon
The ISO 8601 datetime at which we detected the airline-initiated change
Example:"2020-04-11T15:48:11.642Z"
id
stringlink icon
Duffel's unique identifier for the resource
Example:"aic_00001876aqC8c5umZmrRds"
order_id
stringlink icon
Duffel's unique identifier for the resource
Example:"xxx_00009hthhsUZ8W4LxQgkjo"
removed
listlink icon
List of slices and segments as they were before the change.
travel_agent_ticket
objectnullablepreviewlink icon
The associated Travel Agent Ticket, if any, for this Airline-Initiated Change. This value will be present for Airline-Initiated changes that take some time to be processed.
updated_at
datetimelink icon
The ISO 8601 datetime at which the airline-initiated change was last updated
Example:"2020-01-17T10:12:14.545Z"
Update an airline-initiated change
This endpoint is only available to those airline-initiated changes that Duffel cannot accept on behalf of the customer. Duffel is unable to accept an airline-initiated change when these two conditions aretrue: the order was booked with the merchant's IATA number and Duffel is unable to accept the airline-initiated change programatically. In this case you, the customer, are responsible to resolve airline-initiated changes concerning this order (e.g. by contacting the airline directly). Once these have been resolved, you need to inform us of the action taken so we can mark it accordingly in our system.
URL parameters
id
stringrequiredlink icon
Duffel's unique identifier for the resource
Example:"xxx_00009hthhsUZ8W4LxQgkjo"
Body parameters
action_taken
enumrequiredlink icon
The action taken in response to this airline-initiated change.
Accepted, cancelled and changed reflect your action in accepting the change, cancelling the order or changing the order respectively.
Possible values:"accepted", "cancelled", or "changed"
Endpoint
copy
PATCH https://api.duffel.com/air/airline_initiated_changes/{id}
Request
curlNode.JS
copy
curl -X PATCH --compressed "https://api.duffel.com/air/airline_initiated_changes/{id}" \
-H "Accept-Encoding: gzip" \
-H "Accept: application/json" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>" \
-d '{
"data": {
"action_taken": "accepted"
}
}'
Response
copy
{
"data": {
"updated_at": "2020-01-17T10:12:14.545Z",
"removed": [\
{\
"segments": [\
{\
"stops": [\
{\
"id": "sto_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"airport": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
}\
}\
],\
"passengers": [\
{\
"seat": {\
"name": "Exit row seat",\
"disclosures": [\
"Do not seat children in exit row seats",\
"Do not seat passengers with special needs in exit row seats"\
],\
"designator": "14B"\
},\
"passenger_id": "passenger_0",\
"cabin_class_marketing_name": "Economy Basic",\
"cabin_class": "economy",\
"baggages": [\
{\
"type": "checked",\
"quantity": 1\
}\
]\
}\
],\
"origin_terminal": "B",\
"origin": {\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
},\
"operating_carrier_flight_number": "4321",\
"operating_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"marketing_carrier_flight_number": "1234",\
"marketing_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"id": "seg_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"distance": "424.2",\
"destination_terminal": "5",\
"destination": {\
"time_zone": "America/New_York",\
"name": "John F. Kennedy International Airport",\
"longitude": -73.778519,\
"latitude": 40.640556,\
"id": "arp_jfk_us",\
"icao_code": "KJFK",\
"iata_country_code": "US",\
"iata_code": "JFK",\
"iata_city_code": "NYC",\
"city_name": "New York",\
"city": {\
"name": "New York",\
"id": "cit_nyc_us",\
"iata_country_code": "US",\
"iata_code": "NYC"\
}\
},\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"aircraft": {\
"name": "Airbus Industries A380",\
"id": "arc_00009UhD4ongolulWd91Ky",\
"iata_code": "380"\
}\
}\
],\
"origin_type": "airport",\
"origin": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"id": "sli_00009htYpSCXrwaB9Dn123",\
"fare_brand_name": "Basic",\
"duration": "PT02H26M",\
"destination_type": "airport",\
"destination": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"conditions": {\
"change_before_departure": {\
"penalty_currency": "GBP",\
"penalty_amount": "100.00",\
"allowed": true\
}\
}\
}\
],
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",
"id": "aic_00001876aqC8c5umZmrRds",
"created_at": "2020-04-11T15:48:11.642Z",
"available_actions": [\
"accept",\
"cancel",\
"change"\
],
"added": [\
{\
"segments": [\
{\
"stops": [\
{\
"id": "sto_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"airport": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
}\
}\
],\
"passengers": [\
{\
"seat": {\
"name": "Exit row seat",\
"disclosures": [\
"Do not seat children in exit row seats",\
"Do not seat passengers with special needs in exit row seats"\
],\
"designator": "14B"\
},\
"passenger_id": "passenger_0",\
"cabin_class_marketing_name": "Economy Basic",\
"cabin_class": "economy",\
"baggages": [\
{\
"type": "checked",\
"quantity": 1\
}\
]\
}\
],\
"origin_terminal": "B",\
"origin": {\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
},\
"operating_carrier_flight_number": "4321",\
"operating_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"marketing_carrier_flight_number": "1234",\
"marketing_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"id": "seg_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"distance": "424.2",\
"destination_terminal": "5",\
"destination": {\
"time_zone": "America/New_York",\
"name": "John F. Kennedy International Airport",\
"longitude": -73.778519,\
"latitude": 40.640556,\
"id": "arp_jfk_us",\
"icao_code": "KJFK",\
"iata_country_code": "US",\
"iata_code": "JFK",\
"iata_city_code": "NYC",\
"city_name": "New York",\
"city": {\
"name": "New York",\
"id": "cit_nyc_us",\
"iata_country_code": "US",\
"iata_code": "NYC"\
}\
},\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"aircraft": {\
"name": "Airbus Industries A380",\
"id": "arc_00009UhD4ongolulWd91Ky",\
"iata_code": "380"\
}\
}\
],\
"origin_type": "airport",\
"origin": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"id": "sli_00009htYpSCXrwaB9Dn123",\
"fare_brand_name": "Basic",\
"duration": "PT02H26M",\
"destination_type": "airport",\
"destination": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"conditions": {\
"change_before_departure": {\
"penalty_currency": "GBP",\
"penalty_amount": "100.00",\
"allowed": true\
}\
}\
}\
],
"action_taken_at": "2022-01-17T10:12:14.545Z",
"action_taken": "accepted"
}
}
...
View full sample
Accept the airline-initiated change
Once there is an airline-initiated change you can choose to accept it.
URL parameters
id
stringrequiredlink icon
Duffel's unique identifier for the resource
Example:"xxx_00009hthhsUZ8W4LxQgkjo"
Endpoint
copy
POST https://api.duffel.com/air/airline_initiated_changes/{id}/actions/accept
Request
curlNode.JS
copy
curl -X POST --compressed "https://api.duffel.com/air/airline_initiated_changes/{id}/actions/accept" \
-H "Accept: application/json" \
-H "Accept-Encoding: gzip" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>"
Response
copy
...
View full sample
List airline-initiated changes
Retrieves a list of all airline-initiated changes.
Query parameters
order_id
stringlink icon
Filters airline-initiated changes by their order ID. Value must be a valid order ID. Check the Order schema for details.
Example:"ord_00009hthhsUZ8W4LxQgkjo"
Endpoint
copy
GET https://api.duffel.com/air/airline_initiated_changes
Request
curlNode.JS
copy
curl -X GET --compressed "https://api.duffel.com/air/airline_initiated_changes?order_id=ord_00009hthhsUZ8W4LxQgkjo" \
-H "Accept: application/json" \
-H "Accept-Encoding: gzip" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>"
Response
copy
{
"data": [\
{\
"updated_at": "2020-01-17T10:12:14.545Z",\
"removed": [\
{\
"segments": [\
{\
"stops": [\
{\
"id": "sto_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"airport": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
}\
}\
],\
"passengers": [\
{\
"seat": {\
"name": "Exit row seat",\
"disclosures": [\
"Do not seat children in exit row seats",\
"Do not seat passengers with special needs in exit row seats"\
],\
"designator": "14B"\
},\
"passenger_id": "passenger_0",\
"cabin_class_marketing_name": "Economy Basic",\
"cabin_class": "economy",\
"baggages": [\
{\
"type": "checked",\
"quantity": 1\
}\
]\
}\
],\
"origin_terminal": "B",\
"origin": {\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
},\
"operating_carrier_flight_number": "4321",\
"operating_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"marketing_carrier_flight_number": "1234",\
"marketing_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"id": "seg_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"distance": "424.2",\
"destination_terminal": "5",\
"destination": {\
"time_zone": "America/New_York",\
"name": "John F. Kennedy International Airport",\
"longitude": -73.778519,\
"latitude": 40.640556,\
"id": "arp_jfk_us",\
"icao_code": "KJFK",\
"iata_country_code": "US",\
"iata_code": "JFK",\
"iata_city_code": "NYC",\
"city_name": "New York",\
"city": {\
"name": "New York",\
"id": "cit_nyc_us",\
"iata_country_code": "US",\
"iata_code": "NYC"\
}\
},\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"aircraft": {\
"name": "Airbus Industries A380",\
"id": "arc_00009UhD4ongolulWd91Ky",\
"iata_code": "380"\
}\
}\
],\
"origin_type": "airport",\
"origin": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"id": "sli_00009htYpSCXrwaB9Dn123",\
"fare_brand_name": "Basic",\
"duration": "PT02H26M",\
"destination_type": "airport",\
"destination": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"conditions": {\
"change_before_departure": {\
"penalty_currency": "GBP",\
"penalty_amount": "100.00",\
"allowed": true\
}\
}\
}\
],\
"order_id": "xxx_00009hthhsUZ8W4LxQgkjo",\
"id": "aic_00001876aqC8c5umZmrRds",\
"created_at": "2020-04-11T15:48:11.642Z",\
"available_actions": [\
"accept",\
"cancel",\
"change"\
],\
"added": [\
{\
"segments": [\
{\
"stops": [\
{\
"id": "sto_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"airport": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
}\
}\
],\
"passengers": [\
{\
"seat": {\
"name": "Exit row seat",\
"disclosures": [\
"Do not seat children in exit row seats",\
"Do not seat passengers with special needs in exit row seats"\
],\
"designator": "14B"\
},\
"passenger_id": "passenger_0",\
"cabin_class_marketing_name": "Economy Basic",\
"cabin_class": "economy",\
"baggages": [\
{\
"type": "checked",\
"quantity": 1\
}\
]\
}\
],\
"origin_terminal": "B",\
"origin": {\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
},\
"operating_carrier_flight_number": "4321",\
"operating_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"marketing_carrier_flight_number": "1234",\
"marketing_carrier": {\
"name": "British Airways",\
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",\
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",\
"id": "arl_00001876aqC8c5umZmrRds",\
"iata_code": "BA",\
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage"\
},\
"id": "seg_00009htYpSCXrwaB9Dn456",\
"duration": "PT02H26M",\
"distance": "424.2",\
"destination_terminal": "5",\
"destination": {\
"time_zone": "America/New_York",\
"name": "John F. Kennedy International Airport",\
"longitude": -73.778519,\
"latitude": 40.640556,\
"id": "arp_jfk_us",\
"icao_code": "KJFK",\
"iata_country_code": "US",\
"iata_code": "JFK",\
"iata_city_code": "NYC",\
"city_name": "New York",\
"city": {\
"name": "New York",\
"id": "cit_nyc_us",\
"iata_country_code": "US",\
"iata_code": "NYC"\
}\
},\
"departing_at": "2020-06-13T16:38:02",\
"arriving_at": "2020-06-13T16:38:02",\
"aircraft": {\
"name": "Airbus Industries A380",\
"id": "arc_00009UhD4ongolulWd91Ky",\
"iata_code": "380"\
}\
}\
],\
"origin_type": "airport",\
"origin": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"id": "sli_00009htYpSCXrwaB9Dn123",\
"fare_brand_name": "Basic",\
"duration": "PT02H26M",\
"destination_type": "airport",\
"destination": {\
"type": "airport",\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
},\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR",\
"iata_city_code": "LON",\
"city_name": "London",\
"city": {\
"name": "London",\
"id": "cit_lon_gb",\
"iata_country_code": "GB",\
"iata_code": "LON",\
"airports": [\
{\
"time_zone": "Europe/London",\
"name": "Heathrow",\
"longitude": -141.951519,\
"latitude": 64.068865,\
"id": "arp_lhr_gb",\
"icao_code": "EGLL",\
"iata_country_code": "GB",\
"iata_code": "LHR"\
}\
]\
}\
}\
]\
},\
"conditions": {\
"change_before_departure": {\
"penalty_currency": "GBP",\
"penalty_amount": "100.00",\
"allowed": true\
}\
}\
}\
],\
"action_taken_at": "2022-01-17T10:12:14.545Z",\
"action_taken": "accepted"\
}\
]
}
...
View full sample